
Foreman - Bug #12231

Creating smart variable with period or special character makes smart variable not to view, edit and

delete.

10/21/2015 06:58 AM - Jitendra Yejare

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Parameters   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1273827 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2881

  

Description

Description of problem:

In Smart Class-> Smart Variables tab, Creating smart variable with name having period or special character makes smart variable

not to view, edit and delete.

Version-Release number of selected component (if applicable):

foreman-1.11.0-0.develop.201510151605git8893c3b.el7.noarch

How reproducible:

Always

Steps to Reproduce:

1. Create a smart variable from tab Configure > Classes> smart class -> Smart variables tab with name having period or special

character in it.

Actual results:

Smart variable with period or special character makes smart variable not to view, edit and delete.

Expected results:

Smart Variable with period or special character should be able to view, edit or delete from Configure > Classes> smart class -> Smart

variables tab.

Additional info:

I am able to view, edit or delete the same smart variable(created with period or special characters) from Configure -> Smart

Variables.

Associated revisions

Revision 51c05864 - 11/03/2015 05:43 AM - Tomer Brisker

Fixes #12231 - Allow editing smart variables with periods in puppetclass form

History

#1 - 11/02/2015 05:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2881 added

#2 - 11/03/2015 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 51c05864e034d229efe4a4673ec85189da60e90c.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/51c05864e034d229efe4a4673ec85189da60e90c


#3 - 11/03/2015 06:10 AM - Dominic Cleal

- translation missing: en.field_release set to 71
